All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.metadata.business
Interface ExportObjectFactoryInterface<U,X>

Type Parameters:
  `U` - Underlying object class.
  `X` - Export object class.

    public interface ExportObjectFactoryInterface<U,X>

Extendible discovery and create ExportObject interface with templates: U = underlying object class, X = export object class.

Method Summary
`X` | `createObject(java.lang.String useUniqueExportName, U objectToExport, ExportGeneralMetadata exportMetadata, java.lang.Object... qualifiers)` Create a new instance of the export object supported by this factory.
`java.util.List<X>` | `discover(ExportDiscoveryType discoveryType, ExportGeneralMetadata exportMetadata, java.lang.Object... qualifiers)` Discover all of the export objects using the options as needed by the factory.
`java.util.List<U>` | `discoverUnderlyingObjects(ExportDiscoveryType discoveryType, ExportGeneralMetadata exportMetadata, java.lang.Object... qualifiers)` Discover all of the underlying objects using the options as needed by the factory.
`java.util.List<U>` | `find(java.util.List<java.lang.String> list, java.lang.Class<U> cls, ExportGeneralMetadata exportMetadata, java.lang.Object... qualifiers)` Discover a subset of the objects associated using the options as needed by the factory where the export objects have a unique name in the lookup list.
`java.util.List<X>` | `find(java.util.List<java.lang.String> list, ExportGeneralMetadata exportMetadata, java.lang.Object... qualifiers)` Discover a subset of the export objects associated using the options as needed by the factory where the export objects have a unique name in the lookup list.
`java.lang.String` | `makeUniqueExportName(U objectToExport, ExportGeneralMetadata exportMetadata, java.lang.Object... qualifiers)` Mints a unique name for the object to be exported and applies the specified qualifiers.

Method Detail

### makeUniqueExportName

    java.lang.String makeUniqueExportName(U objectToExport,
                                          ExportGeneralMetadata exportMetadata,
                                          java.lang.Object... qualifiers)
                                          throws MetadataException

  Mints a unique name for the object to be exported and applies the specified qualifiers.

  Parameters:
    `objectToExport` -
    `exportMetadata` -
    `qualifiers` -
  Returns:
  Throws:
    `MetadataException`

### createObject

    X createObject(java.lang.String useUniqueExportName,
                   U objectToExport,
                   ExportGeneralMetadata exportMetadata,
                   java.lang.Object... qualifiers)
                   throws MetadataException

  Create a new instance of the export object supported by this factory.

  Parameters:
    `useUniqueExportName` - may be null to autoAssign one (if null the options will be passed to the mintUniqueExportName(...) along with the object to assign a new unique name).
    `objectToExport` -
    `exportMetadata` -
    `qualifiers` - factory specific qualifiers for export object search.
  Returns:
  Throws:
    `MetadataException`

### find

    java.util.List<X> find(java.util.List<java.lang.String> list,
                           ExportGeneralMetadata exportMetadata,
                           java.lang.Object... qualifiers)
                           throws MetadataException

  Discover a subset of the export objects associated using the options as needed by the factory where the export objects have a unique name in the lookup list.

  Parameters:
    `list` - a list of unique export names to limit the discovery.
    `exportMetadata` -
    `qualifiers` - factory specific qualifiers for unique export name creation.
  Returns:
  Throws:
    `MetadataException`

### find

    java.util.List<U> find(java.util.List<java.lang.String> list,
                           java.lang.Class<U> cls,
                           ExportGeneralMetadata exportMetadata,
                           java.lang.Object... qualifiers)
                           throws MetadataException

  Discover a subset of the objects associated using the options as needed by the factory where the export objects have a unique name in the lookup list.

  Parameters:
    `list` - a list of unique export names to limit the discovery.
    `cls` - the class to be searched for
    `exportMetadata` -
    `qualifiers` - factory specific qualifiers for unique export name creation.
  Returns:
  Throws:
    `MetadataException`

### discover

    java.util.List<X> discover(ExportDiscoveryType discoveryType,
                               ExportGeneralMetadata exportMetadata,
                               java.lang.Object... qualifiers)
                               throws MetadataException

  Discover all of the export objects using the options as needed by the factory.

  Parameters:
    `discoveryType` -
    `exportMetadata` -
    `qualifiers` - factory specific qualifiers for export object discovery and creation.
  Returns:
  Throws:
    `MetadataException`

### discoverUnderlyingObjects

    java.util.List<U> discoverUnderlyingObjects(ExportDiscoveryType discoveryType,
                                                ExportGeneralMetadata exportMetadata,
                                                java.lang.Object... qualifiers)
                                                throws MetadataException

  Discover all of the underlying objects using the options as needed by the factory.

  Parameters:
    `discoveryType` -
    `cls` - the class to be searched for
    `exportMetadata` -
    `qualifiers` - factory specific qualifiers for underlying object discovery and creation.
  Returns:
  Throws:
    `MetadataException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.